<?php
/**
 * Template for displaying the search form
 *
 * @package Herschel
 * @since Herschel 1.0.0
 */
?>
<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
  <label>
    <span class="screen-reader-text"><?php echo _x( 'Search for:', 'label', 'herschel' ); ?></span>
    <input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'herschel' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'herschel' ); ?>" />
  </label>
  <button type="submit" class="search-submit"><i class="fas fa-search"></i><span class="screen-reader-text"><?php echo _x( 'Search', 'submit button', 'herschel' ); ?></span></button>
</form>